from .handler import Handler


class HandlerPaylist(Handler):
    @classmethod
    def get_coll(cls, *args, **kwargs):
        return cls.g_mdb['paylist']

    def get_where(self):
        props = self._data['props']
        where = {
            '_game_role_id': props.get('_game_role_id'),  # 游戏角色id
            'orderid': props.get('orderid'),  # 订单
        }
        return where
